from util import *

@timing_decorator
def main_qzgy() -> None:
    """简单方法爬取青藏高原数据"""
    print("\n开始爬取数据1……")
    qzgy = QZGYDate()
    content = qzgy.crawler_qzgy()
    word_freqs = qzgy.get_freqs_of_Cn(content)
    qzgy.print_freqs(word_freqs)
    print("数据1词频获取结束。")



@timing_decorator
def main_lzwz() -> None:
    """简单方法爬取泸州问政获取词频"""
    print("\n开始爬取数据2……")
    lzwz = LZWZDataCrawler()
    content = lzwz.get_data_lzwz()
    word_freqs = lzwz.get_freqs_of_Cn(content)
    lzwz.print_freqs(word_freqs)
    print("数据2词频获取结束。")



@timing_decorator
def main_gdb() -> None:
    """简单方法爬取古德堡计划数据"""
    print("\n开始爬取数据3……")
    gdb = GDBDate()
    content = gdb.get_data_gdb()
    word_freqs = gdb.get_freqs_of_En(content)
    gdb.print_freqs(word_freqs)
    print("数据3词频获取结束。")



if __name__ == '__main__':
    main_qzgy()
    main_lzwz()
    main_gdb()
